Page MenuHomeFreeBSD

Upgrade LibV4L to version 1.18.0
AbandonedPublic

Authored by hselasky on Apr 9 2020, 6:18 PM.

Details

Reviewers
jbeich
pi
kwm
Summary

Lots of changes. Most notably webcamd is now the source of Linux header files.

Test Plan

Exp-RUN

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

@jrm: Looks like a problem with the build environment, likely the sed utility. If you look in the log, the file that fails is autogenerated by a sed script. Doesn't happen here:

{ "RGB444_1X12", MEDIA_BUS_FMT_RGB444_1X12 },
{ "RGB444_2X8_PADHI_BE", MEDIA_BUS_FMT_RGB444_2X8_PADHI_BE },
{ "RGB444_2X8_PADHI_LE", MEDIA_BUS_FMT_RGB444_2X8_PADHI_LE },
{ "RGB555_2X8_PADHI_BE", MEDIA_BUS_FMT_RGB555_2X8_PADHI_BE },
{ "RGB555_2X8_PADHI_LE", MEDIA_BUS_FMT_RGB555_2X8_PADHI_LE },
{ "RGB565_1X16", MEDIA_BUS_FMT_RGB565_1X16 },
{ "BGR565_2X8_BE", MEDIA_BUS_FMT_BGR565_2X8_BE },
{ "BGR565_2X8_LE", MEDIA_BUS_FMT_BGR565_2X8_LE },
{ "RGB565_2X8_BE", MEDIA_BUS_FMT_RGB565_2X8_BE },
{ "RGB565_2X8_LE", MEDIA_BUS_FMT_RGB565_2X8_LE },

When I patch manually it works. It was arc patch D24355 that failed.

This was in pristine jails. If that environment has a problem, then there will be problems when the official packages are built.

% s poudriere jail -l
JAILNAME VERSION         ARCH  METHOD TIMESTAMP           PATH
11amd64  11.3-RELEASE    amd64 ftp    2019-07-14 22:11:27 /poudriere/jails/11amd64
11i386   11.3-RELEASE    i386  ftp    2019-07-14 15:59:30 /poudriere/jails/11i386
12amd64  12.1-RELEASE-p2 amd64 ftp    2020-02-21 20:32:10 /poudriere/jails/12amd64
12i386   12.1-RELEASE-p2 i386  ftp    2020-03-06 19:22:23 /poudriere/jails/12i386

Are you building in poudriere?

No, I'm just building manually.

Please test the build in poudriere. It's how the port will be built on the ports cluster.

@hselasky, I am happy to poudriere testport anything.

Can you help fix the patch file, so that it works with arc ?

Attempt to fix 'arc patch'. Commandeer back when you need to update.

arc patch looks good (for me) now.

jrm@storage2 /usr/ports [master|✔] % arc patch D24355
Created and checked out branch arcpatch-D24355.
Checking patch multimedia/v4l_compat/pkg-plist...
Checking patch multimedia/v4l_compat/Makefile...
Checking patch multimedia/v4l-utils/pkg-plist...
Checking patch multimedia/v4l-utils/Makefile...
Checking patch multimedia/libv4l/pkg-plist...
Checking patch multimedia/libv4l/files/patch-utils_v4l2-ctl_v4l2-ctl.cpp...
Checking patch multimedia/libv4l/files/patch-utils_v4l2-ctl_v4l2-ctl-overlay.cpp...
Checking patch multimedia/libv4l/files/patch-utils_v4l2-compliance_v4l2-test-buffers.cpp...
Checking patch multimedia/libv4l/files/patch-utils_media-ctl_media-ctl.c...
Checking patch multimedia/libv4l/files/patch-utils_ir-ctl_ir-ctl.c...
Checking patch multimedia/libv4l/files/patch-utils_ir-ctl_bpf__encoder.c...
Checking patch multimedia/libv4l/files/patch-utils_dvb_dvbv5-daemon.c...
Checking patch multimedia/libv4l/files/patch-utils_common_v4l2-tpg.h...
Checking patch multimedia/libv4l/files/patch-utils_common_keymap.h...
Checking patch multimedia/libv4l/files/patch-utils_common_ir-encode.c...
Checking patch multimedia/libv4l/files/patch-utils_cec-ctl_msg2ctl.pl...
Checking patch multimedia/libv4l/files/patch-utils_Makefile.in...
Checking patch multimedia/libv4l/files/patch-lib_libv4lconvert_rgbyuv.c...
Checking patch multimedia/libv4l/files/patch-lib_libv4lconvert_jpeg__memsrcdest.h...
Checking patch multimedia/libv4l/files/patch-lib_libv4lconvert_control_libv4lcontrol.c...
Checking patch multimedia/libv4l/files/patch-lib_libdvbv5_dvb-dev-remote.c...
Checking patch multimedia/libv4l/files/patch-lib_include_libdvbv5_dvb-frontend.h...
Checking patch multimedia/libv4l/files/patch-lib_include_libdvbv5_descriptors.h...
Checking patch multimedia/libv4l/files/patch-lib_Makefile.in...
Checking patch multimedia/libv4l/files/patch-include_linux_dvb_video.h...
Checking patch multimedia/libv4l/files/patch-include_linux_dvb_frontend.h...
Checking patch multimedia/libv4l/files/patch-contrib_freebsd_include_linux_videodev2.h...
Checking patch multimedia/libv4l/files/patch-configure...
Checking patch multimedia/libv4l/files/extra-patch-configure...
Checking patch multimedia/libv4l/files/extra-linux_dvb_osd.h...
Checking patch multimedia/libv4l/files/extra-linux_dvb_ca.h...
Checking patch multimedia/libv4l/distinfo...
Checking patch multimedia/libv4l/Makefile...
Applied patch multimedia/v4l_compat/pkg-plist cleanly.
Applied patch multimedia/v4l_compat/Makefile cleanly.
Applied patch multimedia/v4l-utils/pkg-plist cleanly.
Applied patch multimedia/v4l-utils/Makefile cleanly.
Applied patch multimedia/libv4l/pkg-plist cleanly.
Applied patch multimedia/libv4l/files/patch-utils_v4l2-ctl_v4l2-ctl.cpp cleanly.
Applied patch multimedia/libv4l/files/patch-utils_v4l2-ctl_v4l2-ctl-overlay.cpp cleanly.
Applied patch multimedia/libv4l/files/patch-utils_v4l2-compliance_v4l2-test-buffers.cpp cleanly.
Applied patch multimedia/libv4l/files/patch-utils_media-ctl_media-ctl.c cleanly.
Applied patch multimedia/libv4l/files/patch-utils_ir-ctl_ir-ctl.c cleanly.
Applied patch multimedia/libv4l/files/patch-utils_ir-ctl_bpf__encoder.c cleanly.
Applied patch multimedia/libv4l/files/patch-utils_dvb_dvbv5-daemon.c cleanly.
Applied patch multimedia/libv4l/files/patch-utils_common_v4l2-tpg.h cleanly.
Applied patch multimedia/libv4l/files/patch-utils_common_keymap.h cleanly.
Applied patch multimedia/libv4l/files/patch-utils_common_ir-encode.c cleanly.
Applied patch multimedia/libv4l/files/patch-utils_cec-ctl_msg2ctl.pl cleanly.
Applied patch multimedia/libv4l/files/patch-utils_Makefile.in cleanly.
Applied patch multimedia/libv4l/files/patch-lib_libv4lconvert_rgbyuv.c cleanly.
Applied patch multimedia/libv4l/files/patch-lib_libv4lconvert_jpeg__memsrcdest.h cleanly.
Applied patch multimedia/libv4l/files/patch-lib_libv4lconvert_control_libv4lcontrol.c cleanly.
Applied patch multimedia/libv4l/files/patch-lib_libdvbv5_dvb-dev-remote.c cleanly.
Applied patch multimedia/libv4l/files/patch-lib_include_libdvbv5_dvb-frontend.h cleanly.
Applied patch multimedia/libv4l/files/patch-lib_include_libdvbv5_descriptors.h cleanly.
Applied patch multimedia/libv4l/files/patch-lib_Makefile.in cleanly.
Applied patch multimedia/libv4l/files/patch-include_linux_dvb_video.h cleanly.
Applied patch multimedia/libv4l/files/patch-include_linux_dvb_frontend.h cleanly.
Applied patch multimedia/libv4l/files/patch-contrib_freebsd_include_linux_videodev2.h cleanly.
Applied patch multimedia/libv4l/files/patch-configure cleanly.
Applied patch multimedia/libv4l/files/extra-patch-configure cleanly.
Applied patch multimedia/libv4l/files/extra-linux_dvb_osd.h cleanly.
Applied patch multimedia/libv4l/files/extra-linux_dvb_ca.h cleanly.
Applied patch multimedia/libv4l/distinfo cleanly.
Applied patch multimedia/libv4l/Makefile cleanly.
 COMMITTED  Successfully committed patch.
jrm@storage2 /usr/ports [arcpatch-D24355|✔] %

@jrm: Can you test the updated patch again?

Can you fix the patch for me again. I don't see why this is broken.

Yes, I'd like to understand the issue of arc patch vrs. svn patch etc as well. I'm one of phabric-admin@, but never understood the issue 8-(

Now submitted with input from exp-run.